%bcond_without check
%bcond_with bootstrap

%global goipath         google.golang.org/appengine
%global forgeurl        https://github.com/golang/appengine
Version:                1.6.7

%gometa

%global goipaths0       google.golang.org/appengine
%global goipathsex0     google.golang.org/appengine/blobstore

%if %{without bootstrap}
%global goipaths1       google.golang.org/appengine/blobstore
%endif

%global common_description %{expand:
This package supports the Go runtime on App Engine standard. It provides APIs
for interacting with App Engine services.}

%global golicenses      LICENSE
%global godocs          CONTRIBUTING.md README.md

%global gosupfiles glide.lock glide.yaml

Name:           %{goname}
Release:    1%{?dist}
Summary:        Go app engine packages

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock

BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(golang.org/x/net/context)
%if %{without bootstrap}
BuildRequires:  golang(golang.org/x/text/encoding/htmlindex)
%endif

%description
%{common_description}

%gopkg

%prep
%goprep
cp %{S:1} %{S:2} .

%build
for cmd in cmd/* ; do
  %gobuild -o %{gobuilddir}/bin/$(basename $cmd) %{goipath}/$cmd
done

%install
%gopkginstall
install -m 0755 -vd                     %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}/

%if %{with check}
%check
%if %{with bootstrap}
%gocheck -t blobstore -d internal
%else
%gocheck -d internal
%endif
%endif

%files
%license %{golicenses}
%doc %{godocs}
%{_bindir}/*

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.7-1
- initial build
